Retrieve a Single Activity
https://mapi.storyblok.com/v1/spaces/:space_id/activities/:activity_idReturns a single activity object with a specific numeric ID. Every response contains two extra keys, one called trackable, that contains data about the changed object and the other called user that contains the user information.
Path parameters
Section titled “Path parameters”-
:space_idrequired numberNumeric ID of a space
-
:activity_idrequired numberNumeric activity id
Response properties
Section titled “Response properties”-
activityThe Activity ObjectThe activity object
-
trackableobjectThe trackable object
-
userobjectThe user object
Show child properties
-
idnumberThe numeric user ID
-
useridstringUser ID of collaborator
-
friendly_namestringFriendly name of collaborator
-
activebooleanTrue if the user is active
-
Examples
Section titled “Examples”Example Request
curl "https://mapi.storyblok.com/v1/spaces/288868932106293/activities/1234312323" \ -H "Authorization: YOUR_OAUTH_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",});
try { const response = await storyblok.get('spaces/288868932106293/activities/1234312323', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
$client->get('spaces/288868932106293/activities/1234312323')->getBody();HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/activities/1234312323") .header("Authorization", "YOUR_OAUTH_TOKEN") .asString();var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/activities/1234312323");var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");IRestResponse response = client.Execute(request);import requests
url = "https://mapi.storyblok.com/v1/spaces/288868932106293/activities/1234312323"
querystring = {}
payload = ""headers = { 'Authorization': "YOUR_OAUTH_TOKEN"}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
client.get('spaces/288868932106293/activities/1234312323')let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))let request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/activities/1234312323")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(MAPI)) { accessToken = OAuth("YOUR_OAUTH_TOKEN") }}
val response = client.get("spaces/288868932106293/activities/1234312323")
println(response.body<JsonElement>()){ "activity": { "id": 1234312323, "trackable_id": 162372, "trackable_type": "Comment", "owner_id": 123123, "owner_type": "User", "key": "comment.create", "parameters": "{}", "recipient_id": null, "recipient_type": null, "created_at": "2024-05-22T11:12:52.510Z", "updated_at": "2024-05-22T11:12:52.510Z", "space_id": 123431 }, "trackable": {}, "user": { "id": 123123, "userid": "chakit", "friendly_name": "Chakit Arora", "active": true }}Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community